/*******************************************************************************/
/*                                                                             */
/*  gdata.c, graphics for pvipcalc                                             */
/*  Copyright (C) 2002 Dennis Pries                                            */
/*                                                                             */
/*  This program is free software; you can redistribute it and/or modify       */
/*  it under the terms of the GNU General Public License as published by       */
/*  the Free Software Foundation; either version 2 of the License, or          */
/*  (at your option) any later version.                                        */
/*                                                                             */
/*  This program is distributed in the hope that it will be useful,            */
/*  but WITHOUT ANY WARRANTY; without even the implied warranty of             */
/*  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the              */
/*  GNU General Public License for more details.                               */
/*                                                                             */
/*  You should have received a copy of the GNU General Public License          */
/*  along with this program; if not, write to the Free Software                */
/*  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA  */
/*                                                                             */
/*******************************************************************************/

#include	"define.h"
#include	"libc.h"

byte far KEYBOARD[] = {
	GSIZE(49, 71),
	0x7F, 0xFF, 0xFF, 0xFF, 0x7F, 0xFF, 0x1F,
	0x80, 0x00, 0x80, 0x00, 0x80, 0x00, 0xBF,
	0x80, 0x01, 0x98, 0x01, 0x9C, 0x01, 0x9F,
	0x80, 0x01, 0xA4, 0x01, 0x92, 0x01, 0x9F,
	0x80, 0x01, 0xA2, 0x01, 0x93, 0xC1, 0x9F,
	0x80, 0x21, 0xA6, 0x01, 0x93, 0x01, 0x9F,
	0x80, 0x41, 0x9A, 0x01, 0x9D, 0xC1, 0xFF,
	0x80, 0x81, 0x82, 0x71, 0x81, 0x21, 0x9F,
	0x81, 0x01, 0x83, 0xC9, 0x81, 0xE1, 0xFF,
	0x82, 0x01, 0x80, 0x71, 0x80, 0x21, 0xCF,
	0x80, 0x01, 0x80, 0x51, 0x80, 0x21, 0x8F,
	0x80, 0x01, 0x80, 0x49, 0x80, 0x39, 0x8F,
	0x80, 0x01, 0x80, 0x01, 0x80, 0x01, 0x8F,
	0xBF, 0xFF, 0xBF, 0xFF, 0xBF, 0xFF, 0x9F,
	0x7F, 0xFF, 0x7F, 0xFF, 0x7F, 0xFF, 0x1F,
	0x80, 0x00, 0x80, 0x00, 0x80, 0x00, 0xCF,
	0x80, 0x01, 0x80, 0x01, 0x80, 0x01, 0xCF,
	0x80, 0x01, 0x80, 0x01, 0x80, 0x01, 0x9F,
	0x83, 0xC1, 0x81, 0x81, 0x81, 0x81, 0x9F,
	0x80, 0x41, 0x82, 0x41, 0x82, 0x41, 0x9F,
	0x80, 0x81, 0x82, 0x41, 0x82, 0x41, 0x9F,
	0x80, 0x81, 0x81, 0x81, 0x81, 0xC1, 0xCF,
	0x81, 0x01, 0x82, 0x41, 0x80, 0x41, 0xCF,
	0x81, 0x01, 0x82, 0x41, 0x80, 0x81, 0xCF,
	0x81, 0x01, 0x81, 0x81, 0x81, 0x01, 0xCF,
	0x80, 0x01, 0x80, 0x01, 0x80, 0x01, 0xCF,
	0x80, 0x01, 0x80, 0x01, 0x80, 0x01, 0xCF,
	0xBF, 0xFF, 0xBF, 0xFF, 0xBF, 0xFF, 0xCF,
	0x7F, 0xFF, 0x7F, 0xFF, 0x7F, 0xFF, 0x4F,
	0x80, 0x00, 0x80, 0x00, 0x80, 0x00, 0xCF,
	0x80, 0x01, 0x80, 0x01, 0x80, 0x01, 0xBF,
	0x80, 0x01, 0x80, 0x01, 0x80, 0x01, 0xFF,
	0x80, 0x41, 0x83, 0xC1, 0x80, 0x81, 0xAF,
	0x80, 0xC1, 0x82, 0x01, 0x81, 0x01, 0x9F,
	0x81, 0x41, 0x83, 0x81, 0x82, 0x01, 0x9F,
	0x82, 0x41, 0x82, 0x41, 0x83, 0x81, 0x9F,
	0x83, 0xC1, 0x80, 0x41, 0x82, 0x41, 0x9F,
	0x80, 0x41, 0x82, 0x41, 0x82, 0x41, 0x9F,
	0x80, 0x41, 0x81, 0x81, 0x81, 0x81, 0xCF,
	0x80, 0x01, 0x80, 0x01, 0x80, 0x01, 0xCF,
	0x80, 0x01, 0x80, 0x01, 0x80, 0x01, 0x8F,
	0xBF, 0xFF, 0xBF, 0xFF, 0xBF, 0xFF, 0xFF,
	0x7F, 0xFF, 0x7F, 0xFF, 0x7F, 0xFF, 0x0F,
	0x80, 0x00, 0x80, 0x00, 0x80, 0x00, 0xFF,
	0x80, 0x01, 0x80, 0x01, 0x80, 0x01, 0x8F,
	0x80, 0x01, 0x80, 0x01, 0x80, 0x01, 0x9F,
	0x80, 0x81, 0x81, 0x81, 0x81, 0x81, 0xCF,
	0x81, 0x81, 0x82, 0x41, 0x82, 0x41, 0x9F,
	0x80, 0x81, 0x80, 0x41, 0x80, 0x41, 0x9F,
	0x80, 0x81, 0x80, 0x81, 0x80, 0x81, 0xAF,
	0x80, 0x81, 0x81, 0x01, 0x80, 0x41, 0x9F,
	0x80, 0x81, 0x82, 0x01, 0x82, 0x41, 0xDF,
	0x81, 0xC1, 0x83, 0xC1, 0x81, 0x81, 0x8F,
	0x80, 0x01, 0x80, 0x01, 0x80, 0x01, 0xCF,
	0x80, 0x01, 0x80, 0x01, 0x80, 0x01, 0xCF,
	0xBF, 0xFF, 0xBF, 0xFF, 0xBF, 0xFF, 0xCF,
	0x7F, 0xFF, 0x7F, 0xFF, 0x7F, 0xFF, 0x4F,
	0x80, 0x00, 0x80, 0x00, 0x80, 0x00, 0xCF,
	0x80, 0x01, 0x80, 0x01, 0x80, 0x09, 0xCF,
	0x80, 0x01, 0x80, 0x01, 0x80, 0x11, 0xCF,
	0x81, 0x81, 0x80, 0x01, 0x80, 0x21, 0xCF,
	0x82, 0x41, 0x80, 0x01, 0x80, 0x41, 0x8F,
	0x82, 0x41, 0x80, 0x01, 0x80, 0x81, 0x8F,
	0x82, 0x41, 0x80, 0x01, 0x99, 0x81, 0xFF,
	0x82, 0x41, 0x80, 0x01, 0x8F, 0x01, 0xFF,
	0x82, 0x41, 0x81, 0x81, 0x8E, 0x01, 0xAF,
	0x81, 0x81, 0x81, 0x81, 0x86, 0x01, 0x9F,
	0x80, 0x01, 0x80, 0x01, 0x84, 0x01, 0x8F,
	0x80, 0x01, 0x80, 0x01, 0x80, 0x01, 0xAF,
	0xBF, 0xFF, 0xBF, 0xFF, 0xBF, 0xFF, 0xCF,
	0x7F, 0xFF, 0x7F, 0xFF, 0x7F, 0xFF, 0x1F
};

byte far INFO[] = {
	GSIZE(13, 12),
	0xFF, 0xF7,
	0x80, 0x1F,
	0x86, 0x1F,
	0x86, 0x1F,
	0x80, 0x1F,
	0x8E, 0x1F,
	0x86, 0x1F,
	0x86, 0x1F,
	0x8F, 0x1F,
	0x80, 0x1F,
	0xFF, 0xFF,
	0x7F, 0xFF
};

byte far IPBTN[] = {
	GSIZE(25, 12),
	0xFF, 0xFF, 0xFF, 0x7F,
	0x80, 0x00, 0x01, 0xFF,
	0x80, 0x40, 0x01, 0xFF,
	0x80, 0x00, 0x01, 0xFF,
	0x80, 0xCD, 0x01, 0xFF,
	0x80, 0x46, 0x81, 0xFF,
	0x80, 0x45, 0x01, 0xFF,
	0x80, 0xE4, 0x01, 0xFF,
	0x80, 0x0E, 0x01, 0xFF,
	0x80, 0x00, 0x01, 0xFF,
	0xFF, 0xFF, 0xFF, 0xFF,
	0x7F, 0xFF, 0xFF, 0xFF
};

byte far NETBTN[] = {
	GSIZE(25, 12),
	0xFF, 0xFF, 0xFF, 0x7F,
	0x80, 0x00, 0x01, 0xFF,
	0x80, 0x00, 0x21, 0xFF,
	0x80, 0x00, 0x21, 0xFF,
	0x9B, 0x0E, 0x79, 0xFF,
	0x8C, 0x91, 0x21, 0xFF,
	0x88, 0x9F, 0x21, 0xFF,
	0x88, 0x90, 0x21, 0xFF,
	0x9D, 0xCF, 0x39, 0xFF,
	0x80, 0x00, 0x01, 0xFF,
	0xFF, 0xFF, 0xFF, 0xFF,
	0x7F, 0xFF, 0xFF, 0xFF
};

byte far ABTN[] = {
	GSIZE(13, 12),
	0xFF, 0xF7,
	0x80, 0x1F,
	0x8F, 0x19,
	0x90, 0x9E,
	0x90, 0x9F,
	0x9F, 0x9F,
	0x90, 0x9E,
	0x90, 0x9F,
	0x90, 0x9F,
	0x80, 0x1F,
	0xFF, 0xFF,
	0x7F, 0xFF
};

byte far BBTN[] = {
	GSIZE(13, 12),
	0xFF, 0xF7,
	0x80, 0x1F,
	0x9F, 0x19,
	0x90, 0x9E,
	0x90, 0x9F,
	0x9F, 0x1F,
	0x90, 0x9E,
	0x90, 0x9F,
	0x9F, 0x1F,
	0x80, 0x1F,
	0xFF, 0xFF,
	0x7F, 0xFF
};

byte far CBTN[] = {
	GSIZE(13, 12),
	0xFF, 0xF7,
	0x80, 0x1F,
	0x8F, 0x1F,
	0x90, 0x9F,
	0x90, 0x1F,
	0x90, 0x18,
	0x90, 0x1F,
	0x90, 0x9F,
	0x8F, 0x1F,
	0x80, 0x1F,
	0xFF, 0xFF,
	0x7F, 0xFF
};
