/*******************************************************************************/
/*                                                                             */
/*  generic.c, some functions                                                  */
/*  Copyright (C) 2002 Dennis Pries                                            */
/*                                                                             */
/*  This program is free software; you can redistribute it and/or modify       */
/*  it under the terms of the GNU General Public License as published by       */
/*  the Free Software Foundation; either version 2 of the License, or          */
/*  (at your option) any later version.                                        */
/*                                                                             */
/*  This program is distributed in the hope that it will be useful,            */
/*  but WITHOUT ANY WARRANTY; without even the implied warranty of             */
/*  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the              */
/*  GNU General Public License for more details.                               */
/*                                                                             */
/*  You should have received a copy of the GNU General Public License          */
/*  along with this program; if not, write to the Free Software                */
/*  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA  */
/*                                                                             */
/*******************************************************************************/

#include	"pvipcalc.h"
#include	"ip.h"
#include	"gdata.h"
#include	"list.h"
#include	"generic.h"

void initTch()
{
  LibTchStackClr();
  LibTchStackPush(NULL);
  LibTchStackPush(TchHardIcon);
}

void errorBox(int err, char *info)
{
  TCHSTS tsts;

  /* Init touch area */
  LibTchStackClr();
  LibTchStackPush(NULL );
  LibTchStackPush(TchHardIcon);
  LibTchStackPush(TchAllDsp);

  /* Define display */
  LibPutFarData(16, 55, 107);
  LibPutFarData(26, 66, 10);

  /* Turn off cursor */
  LibCurBlnkOff();

  LibStringDsp(info, 55, 66, 159, IB_PFONT1);
  LibStringDsp(errorToStr(err), 55, 75, 159, IB_PFONT1);
  LibStringDsp("Touch to continue", 55, 84, 159, IB_PFONT1);

  /* Put display */
  LibPutDisp();

  /* Wait for touch */
  LibTchInit();
  LibTchWait(&tsts);
}

void infoBox()
{
  TCHSTS tsts;

  /* Init touch area */
  LibTchStackClr();
  LibTchStackPush(NULL);
  LibTchStackPush(TchHardIcon);
  LibTchStackPush(TchAllDsp);
  LibPutFarData(16, 42, 109);

  /* Define display */
  LibStringDsp(TITLE, 26, 52, 159, IB_PFONT3);
  LibStringDsp("(c)2002 by Dennis Pries", 26, 64, 159, IB_PFONT1);
  LibStringDsp("eMail: depries@gmx.de", 26, 74, 159, IB_PFONT1);
  LibStringDsp("Touch me...", 26, 102, 159, IB_PFONT1);

  /* Turn off cursor */
  LibCurBlnkOff();

  /* Put display */
  LibPutDisp();

  /* Wait for touch */
  LibTchInit();
  LibTchWait(&tsts);
}