/*******************************************************************************/
/*                                                                             */
/*  pvipcalc.c, main program                                                   */
/*  Copyright (C) 2002 Dennis Pries                                            */
/*                                                                             */
/*  This program is free software; you can redistribute it and/or modify       */
/*  it under the terms of the GNU General Public License as published by       */
/*  the Free Software Foundation; either version 2 of the License, or          */
/*  (at your option) any later version.                                        */
/*                                                                             */
/*  This program is distributed in the hope that it will be useful,            */
/*  but WITHOUT ANY WARRANTY; without even the implied warranty of             */
/*  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the              */
/*  GNU General Public License for more details.                               */
/*                                                                             */
/*  You should have received a copy of the GNU General Public License          */
/*  along with this program; if not, write to the Free Software                */
/*  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA  */
/*                                                                             */
/*******************************************************************************/

#include	"pvipcalc.h"
#include	"loops.h"
#include	"dummy.h"

/* Main */
void main()
{
  int loop=PV_IP;
  int barpos = 0;
  int srcbarpos = 0;
  char ip[32]    = "";
  char base[16]  = "";
  char netip[32] = "";


  while (loop!=PV_ESC)
  {
    switch(loop)
	{
		case PV_IP:
	    	loop=iploop(ip);
    	break;

	    case PV_NET:
	    	loop=netloop(base, netip, ip, &barpos, &srcbarpos);
        break;

        default:
        	loop=PV_IP;
        break;
	}
  }
  LibJumpMenu();
}

char far KeyPad[] =
{
	'0', '1', '2', '3', '4', '5', '6', '7', '8', '9', '.', '/'
};

/* Touch Information */
TCHTBL far TchPad[] =
{
	KOFFX + 00, KOFFY + 56, KOFFX + 16, KOFFY + 70, ACT_ICON, OBJ_NUMPAD0, 0x0000,
	KOFFX + 00, KOFFY + 42, KOFFX + 16, KOFFY + 56, ACT_ICON, OBJ_NUMPAD1, 0x0000,
	KOFFX + 16, KOFFY + 42, KOFFX + 32, KOFFY + 56, ACT_ICON, OBJ_NUMPAD2, 0x0000,
	KOFFX + 32, KOFFY + 42, KOFFX + 48, KOFFY + 56, ACT_ICON, OBJ_NUMPAD3, 0x0000,
	KOFFX + 00, KOFFY + 28, KOFFX + 16, KOFFY + 42, ACT_ICON, OBJ_NUMPAD4, 0x0000,
	KOFFX + 16, KOFFY + 28, KOFFX + 32, KOFFY + 42, ACT_ICON, OBJ_NUMPAD5, 0x0000,
	KOFFX + 32, KOFFY + 28, KOFFX + 48, KOFFY + 42, ACT_ICON, OBJ_NUMPAD6, 0x0000,
    KOFFX + 00, KOFFY + 14, KOFFX + 16, KOFFY + 28, ACT_ICON, OBJ_NUMPAD7, 0x0000,
	KOFFX + 16, KOFFY + 14, KOFFX + 32, KOFFY + 28, ACT_ICON, OBJ_NUMPAD8, 0x0000,
	KOFFX + 32, KOFFY + 14, KOFFX + 48, KOFFY + 28, ACT_ICON, OBJ_NUMPAD9, 0x0000,
	KOFFX + 16, KOFFY + 56, KOFFX + 32, KOFFY + 70, ACT_ICON, OBJ_DOT,     0x0000,
	KOFFX + 00, KOFFY + 00, KOFFX + 16, KOFFY + 14, ACT_ICON, OBJ_SLASH,   0x0000,
	KOFFX + 32, KOFFY + 56, KOFFX + 48, KOFFY + 70, ACT_ICON, OBJ_ENTER,   0x0000,
	KOFFX + 16, KOFFY + 00, KOFFX + 32, KOFFY + 14, ACT_ICON, OBJ_CLEAR,   0x0000,
	KOFFX + 32, KOFFY + 00, KOFFX + 48, KOFFY + 14, ACT_ICON, OBJ_DELETE,  0x0000,
	         1,          1,         13,         12, ACT_ICON, OBJ_INFO,    0x0000,
	       134,          1,        158,         12, ACT_ICON, OBJ_SWITCH,  0x0000,
             0,          0,          0,          0, ACT_NONE, OBJ_END,     0x0000
};

TCHTBL far ClassBtns[] =
{
	112, 28, 124, 39, ACT_ICON, OBJ_ABTN, 0x0000,
	127, 28, 139, 39, ACT_ICON, OBJ_BBTN, 0x0000,
	142, 28, 154, 39, ACT_ICON, OBJ_CBTN, 0x0000,
	  0,  0,   0,  0, ACT_NONE, OBJ_END,  0x0000
};

/* Icons */
T_ICON	far TIconEnter	    = { &TchPad[0x0C], NULL, NULL, 0x02 };
T_ICON	far TIconClear		= { &TchPad[0x0D], NULL, NULL, 0x02 };
T_ICON	far TIconDelete		= { &TchPad[0x0E], NULL, NULL, 0x02 };
T_ICON  far TIconInfo       = { &TchPad[0x0F], NULL, NULL, 0x02 };
T_ICON  far TIconSwitch		= { &TchPad[0x10], NULL, NULL, 0x02 };

T_ICON  far TIconABtn		= { &ClassBtns[0x00], NULL, NULL, 0x02 };
T_ICON  far TIconBBtn		= { &ClassBtns[0x01], NULL, NULL, 0x02 };
T_ICON  far TIconCBtn		= { &ClassBtns[0x02], NULL, NULL, 0x02 };

T_ICON  far TIconKeys[] = {
/* T_ICON	far TIconPad0		= */ { &TchPad[0x00], NULL, NULL, 0x02 },
/* T_ICON	far TIconPad1		= */ { &TchPad[0x01], NULL, NULL, 0x02 },
/* T_ICON	far TIconPad2		= */ { &TchPad[0x02], NULL, NULL, 0x02 },
/* T_ICON	far TIconPad3		= */ { &TchPad[0x03], NULL, NULL, 0x02 },

/* T_ICON	far TIconPad4		= */ { &TchPad[0x04], NULL, NULL, 0x02 },
/* T_ICON	far TIconPad5		= */ { &TchPad[0x05], NULL, NULL, 0x02 },
/* T_ICON	far TIconPad6		= */ { &TchPad[0x06], NULL, NULL, 0x02 },

/* T_ICON	far TIconPad7		= */ { &TchPad[0x07], NULL, NULL, 0x02 },
/* T_ICON	far TIconPad8		= */ { &TchPad[0x08], NULL, NULL, 0x02 },
/* T_ICON	far TIconPad9		= */ { &TchPad[0x09], NULL, NULL, 0x02 },

/* T_ICON	far TIconPadDot		= */ { &TchPad[0x0A], NULL, NULL, 0x02 },
/* T_ICON	far TIconPadSlash	= */ { &TchPad[0x0B], NULL, NULL, 0x02 }
};