/*******************************************************************************/
/*                                                                             */
/*  ip.h                                                                       */
/*  Copyright (C) 2002 Dennis Pries                                            */
/*                                                                             */
/*  This program is free software; you can redistribute it and/or modify       */
/*  it under the terms of the GNU General Public License as published by       */
/*  the Free Software Foundation; either version 2 of the License, or          */
/*  (at your option) any later version.                                        */
/*                                                                             */
/*  This program is distributed in the hope that it will be useful,            */
/*  but WITHOUT ANY WARRANTY; without even the implied warranty of             */
/*  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the              */
/*  GNU General Public License for more details.                               */
/*                                                                             */
/*  You should have received a copy of the GNU General Public License          */
/*  along with this program; if not, write to the Free Software                */
/*  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA  */
/*                                                                             */
/*******************************************************************************/

#ifndef __IP_H
#define __IP_H

#define IP_IPMASK 			0x01
#define IP_IP     			0x02
#define IP_MASK   			0x03

#define ERR_NOERROR			0x00
#define ERR_FIELDEMTPY		0x01
#define ERR_IPINVALID		0x02
#define ERR_NETMASKMISSED	0x03
#define ERR_NETMASKINVALID	0x04

typedef struct IP {
	byte		ip[4];
	byte		netmask[4];
} IP;

bool numToNetmask(byte num, IP *ip);
bool netmaskToNum(IP ip, byte *num);
void getBroadcast(IP ip, IP *broadcast);
void getNetwork(IP ip, IP *network);
float getNetworkN(IP base, IP ip, IP *network, float n, float total);
float totalAddresses(IP ip);
float totalNetworks(IP base, IP subnet);
float shiftleft(byte b, byte num);
void ipAdd(IP *ip, float num);
bool ipToString(IP ip, char *ipnum, int format);
int stringToIp(char *ipnum, IP *ip);
char *errorToStr(int errcode);

#endif