/*******************************************************************************/
/*                                                                             */
/*  list.h, part of libList                                                    */
/*  Copyright (C) 2002 Dennis Pries                                            */
/*                                                                             */
/*  This program is free software; you can redistribute it and/or modify       */
/*  it under the terms of the GNU General Public License as published by       */
/*  the Free Software Foundation; either version 2 of the License, or          */
/*  (at your option) any later version.                                        */
/*                                                                             */
/*  This program is distributed in the hope that it will be useful,            */
/*  but WITHOUT ANY WARRANTY; without even the implied warranty of             */
/*  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the              */
/*  GNU General Public License for more details.                               */
/*                                                                             */
/*  You should have received a copy of the GNU General Public License          */
/*  along with this program; if not, write to the Free Software                */
/*  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA  */
/*                                                                             */
/*******************************************************************************/

#include "define.h"

#ifndef __LIST_H
#define __LIST_H

typedef struct LISTBOX {
	int			LISTID;			/* Listbox Touch ID   */
	int			SCRID;			/* Scrollbar Touch ID */
	int			x;				/* listbox x pos      */
	int			y;				/* listbox y pos      */
	int			width;			/* listbox width      */
	int			height;			/* listbox height     */
	int			pos;			/* selected item      */
	int			barpos;			/* bar position       */
	char**  	items;   		/* list items         */
	T_SCR_POS	scrollbar;      /* scrollbar          */
    TCHTBL  	Tch[3];         /* touch information  */
} LISTBOX;


void initList(int x, int y, int width, int height, char *items[],
              int numItems, int listID, int scrID, LISTBOX *listbox); /* init listbox */
void drawList(LISTBOX *listbox); /* draw box & scrollbar */
void updateList(LISTBOX *listbox); /* draw box data */
int processList(TCHSTS *tsts, LISTBOX *listbox); /* process listbox */
void listInitTch(LISTBOX *listbox); /* Add listbox to touch stack */

/* internal use */
int listGetItem(TCHSTS *tsts, LISTBOX *listbox);
void toggleItem(LISTBOX *listbox);

#endif